Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf
Class HWPFOldDocument

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hwpf.HWPFDocumentCore
              org.apache.poi.hwpf.HWPFOldDocument

    public class HWPFOldDocument

extends HWPFDocumentCore

Provides very simple support for old (Word 6 / Word 95) files.

Field Summary

Fields inherited from class org.apache.poi.hwpf.HWPFDocumentCore
`_cbt, _fib, _ft, _lt, _mainStream, _pbt, _ss, _st`

Fields inherited from class org.apache.poi.POIDocument
`directory, filesystem`

Constructor Summary
`HWPFOldDocument(DirectoryNode directory, POIFSFileSystem fs)`
`HWPFOldDocument(POIFSFileSystem fs)`

Method Summary
`Range` | `getRange()` Returns the range which covers the whole of the document, but excludes any headers and footers.
`TextPieceTable` | `getTextTable()`
`void` | `write(java.io.OutputStream out)` Writes the document out to the specified output stream

Methods inherited from class org.apache.poi.hwpf.HWPFDocumentCore
`getCharacterTable, getFileInformationBlock, getFontTable, getListTables, getParagraphTable, getSectionTable, getStyleSheet, verifyAndBuildPOIFS`

Methods inherited from class org.apache.poi.POIDocument
`copyNodes, createInformationProperties, getDocumentSummaryInformation, getPropertySet, getSummaryInformation, readProperties, writeProperties, writeProperties, writePropertySet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFOldDocument

    public HWPFOldDocument(POIFSFileSystem fs)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### HWPFOldDocument

    public HWPFOldDocument(DirectoryNode directory,
                           POIFSFileSystem fs)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getRange

    public Range getRange()

  Description copied from class: `HWPFDocumentCore`
  Returns the range which covers the whole of the document, but excludes any headers and footers.

  Specified by:
    `getRange` in class `HWPFDocumentCore`

### getTextTable

    public TextPieceTable getTextTable()

  Specified by:
    `getTextTable` in class `HWPFDocumentCore`

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Description copied from class: `POIDocument`
  Writes the document out to the specified output stream

  Specified by:
    `write` in class `POIDocument`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.